tensor_view.h File Reference

Defines a structure containing strides and a pointer to tensor data. More...

`#include <cmath>`
`#include "cutlass/cutlass.h"`
`#include "cutlass/tensor_ref.h"`
Include dependency graph for tensor_view.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | cutlass::TensorView< Element_, Layout_ >

## Namespaces

| cutlass

## Functions

template<typename Element , typename Layout >
CUTLASS_HOST_DEVICE TensorView< Element, Layout > | cutlass::make_TensorView (Element *ptr, Layout const &layout, typename Layout::TensorCoord const &extent)
| Constructs a TensorRef, deducing types from arguments. More...

## Detailed Description

TensorView is derived from TensorRef and contributes bounds to the tensor's index space. Thus, it is a complete mathematical object and may be used in tensor algorithms. It is decoupled from data storage and is therefore lightweight and may be embedded in larger tensor objects or memory structures.

See cutlass/tensor_ref.h for more details about the mapping of the logical tensor index space to linear memory.